Bug 837396 - Review Request: jbossws-cxf - JBoss Web Services CXF stack
Review Request: jbossws-cxf - JBoss Web Services CXF stack
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patryk Obara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 14:21 EDT by Marek Goldmann
Modified: 2013-03-13 00:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:25:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pobara: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-07-03 14:21:42 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/jbossws-cxf/4.0.2-1/jbossws-cxf.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jbossws-cxf/4.0.2-1/jbossws-cxf-4.0.2-1.fc17.src.rpm
Description: JBoss Web Services CXF integration stack
Fedora Account System Username: goldmann

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4216629

Note for the reviewer: this package builds currently ONLY resources module, no java code. This resulted in no -javadocs subpackage, although it'll be added once we'll have Apache CXF (which is the main dependency for other modules) available in Fedora.
Comment 1 Patryk Obara 2012-07-03 15:41:42 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

$ rpmlint jbossws-cxf-4.0.2-1.fc17.src.rpm 
jbossws-cxf.src: W: spelling-error Summary(en_US) JBoss -> J Boss, Boss
jbossws-cxf.src: W: spelling-error %description -l en_US JBoss -> J Boss, Boss
jbossws-cxf.src: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
jbossws-cxf.src:33: W: macro-in-comment %package
jbossws-cxf.src:34: W: macro-in-comment %{name}
jbossws-cxf.src:38: W: macro-in-comment %description
jbossws-cxf.src:39: W: macro-in-comment %{name}
jbossws-cxf.src:68: W: macro-in-comment %{_javadocdir}
jbossws-cxf.src:68: W: macro-in-comment %{name}
jbossws-cxf.src:75: W: macro-in-comment %files
jbossws-cxf.src:76: W: macro-in-comment %{_javadocdir}
jbossws-cxf.src:76: W: macro-in-comment %{name}
1 packages and 0 specfiles checked; 0 errors, 12 warnings.

$ rpmlint jbossws-cxf.spec
jbossws-cxf.spec:33: W: macro-in-comment %package
jbossws-cxf.spec:34: W: macro-in-comment %{name}
jbossws-cxf.spec:38: W: macro-in-comment %description
jbossws-cxf.spec:39: W: macro-in-comment %{name}
jbossws-cxf.spec:68: W: macro-in-comment %{_javadocdir}
jbossws-cxf.spec:68: W: macro-in-comment %{name}
jbossws-cxf.spec:75: W: macro-in-comment %files
jbossws-cxf.spec:76: W: macro-in-comment %{_javadocdir}
jbossws-cxf.spec:76: W: macro-in-comment %{name}
0 packages and 1 specfiles checked; 0 errors, 9 warnings.

$ rpmlint ../RPMS/noarch/jbossws-cxf-4.0.2-1.fc17.noarch.rpm 
jbossws-cxf.noarch: W: spelling-error Summary(en_US) JBoss -> J Boss, Boss
jbossws-cxf.noarch: W: spelling-error %description -l en_US JBoss -> J Boss, Boss
jbossws-cxf.noarch: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
jbossws-cxf.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 6c3fdbca04139a9d2d1fff3e8ba4231d  jbossws-cxf-4.0.2.GA-src.zip
MD5SUM upstream package: 6c3fdbca04139a9d2d1fff3e8ba4231d  jbossws-cxf-4.0.2.GA-src.zip
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[-]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[-]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4216741


Lots of rpmlint warnings, but those are caused by, -javadoc related macros being left in place for future use.

================
*** APPROVED ***
================
Comment 2 Marek Goldmann 2012-07-03 15:54:35 EDT
Thanks for review!

New Package SCM Request
=======================
Package Name: jbossws-cxf
Short Description: JBoss Web Services CXF stack
Owners: goldmann
Branches: f17
Comment 3 Gwyn Ciesla 2012-07-03 18:44:38 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-07-04 02:10:35 EDT
jbossws-cxf-4.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jbossws-cxf-4.0.2-1.fc17
Comment 5 Fedora Update System 2012-07-05 19:36:04 EDT
jbossws-cxf-4.0.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 6 Fedora Update System 2012-07-17 13:25:41 EDT
jbossws-cxf-4.0.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.